<template>
  <div>
    <div class="rooms-list">
      <div class="room" v-for="(room, index) in rooms" :key="index">
        <div class="room-content">
          <img
            :src="'http://localhost:4141/' + room.images[0]"
            alt=""
            class="room-content__img"
          />
          <div class="room-content__price">
            <p class="room-content__price-value">{{ room.price }}</p>
            <p class="room-content__price-txt">per night</p>
          </div>
          <router-link :to="'/rooms/' + room.id" exact class="btn-primary room-content__link">Features</router-link>
          <p class="room-info">{{ room.type }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "RoomList",
  props: ["rooms"],
};
</script>

<style lang="">
.rooms-list {
  width: 80vw;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));
  grid-row-gap: 2rem;
  grid-column-gap: 40px;
}
.room {
  box-shadow: var(--lightShadow);
  transition: var(--mainTransition);
}

.room-content {
  position: relative;
}

.room-content:hover {
  background: rgba(0, 0, 0, 0.8);
}

.room-content__img {
  width: 100%;
  display: block;
  transition: var(--mainTransition);
}

.room-content:hover .room-content__img {
  opacity: 0.3;
}

.room-content__price {
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  color: var(--mainWhite);
  padding: 0.3rem 0.6rem 0.5rem;
  border-bottom-right-radius: 1rem;
  font-size: 0.5rem;
  text-align: center;
  transition: var(--mainTransition);
}

.room-content:hover .room-content__price {
  opacity: 0;
}

.room-content__price-value {
  margin-bottom: 0;
  font-size: 0.9rem;
  font-weight: 300;
  letter-spacing: var(--mainSpacing);
}

.room-content__link {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: scale(0);
  transition: all 0.3s linear;
}

.room-content:hover .room-content__link {
  transform: translate(-50%, -50%) scale(1);
}

.room-info {
  background: var(--darkGrey);
  text-transform: capitalize;
  padding: 0.5rem 0;
  text-align: center;
  font-weight: 700;
  letter-spacing: var(--mainSpacing);
}
</style>
